IllegalAccessException (Java SE 10 & JDK 10 )
Keywords: java.lang.IllegalAccessException class

Module java.base
Package java.lang

## Class IllegalAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.ReflectiveOperationException
      - - java.lang.IllegalAccessException

- All Implemented Interfaces:
    `Serializable`

      public class IllegalAccessException
      extends ReflectiveOperationException

  An IllegalAccessException is thrown when an application tries to reflectively create an instance (other than an array), set or get a field, or invoke a method, but the currently executing method does not have access to the definition of the specified class, field, method or constructor.
  Since:
    1.0
  See Also:
    `Class.newInstance()`, `Field.set(Object, Object)`, `Field.setBoolean(Object, boolean)`, `Field.setByte(Object, byte)`, `Field.setShort(Object, short)`, `Field.setChar(Object, char)`, `Field.setInt(Object, int)`, `Field.setLong(Object, long)`, `Field.setFloat(Object, float)`, `Field.setDouble(Object, double)`, `Field.get(Object)`, `Field.getBoolean(Object)`, `Field.getByte(Object)`, `Field.getShort(Object)`, `Field.getChar(Object)`, `Field.getInt(Object)`, `Field.getLong(Object)`, `Field.getFloat(Object)`, `Field.getDouble(Object)`, `Method.invoke(Object, Object[])`, `Constructor.newInstance(Object[])`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IllegalAccessException()` | Constructs an `IllegalAccessException` without a detail message.
    `IllegalAccessException​(String s)` | Constructs an `IllegalAccessException` with a detail message.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### IllegalAccessException

          public IllegalAccessException()

      Constructs an `IllegalAccessException` without a detail message.

    - #### IllegalAccessException

          public IllegalAccessException​(String s)

      Constructs an `IllegalAccessException` with a detail message.
      Parameters:
        `s` - the detail message.